///////////////////////////////////////////////////////////////////////////////
//
// (c) Digi International Inc. 2002. All Rights Reserved
//
// Digi provides this document "as is," without warranty of any kind,
// either expressed or implied, including, but not limited to, the implied
// warranties of fitness or merchantability for a particular purpose. Digi
// may make improvements and/or changes in this document or in the product(s)
// and/or the program(s) described in this document at any time.
//
// This document could include technical inaccuracies or typographical errors.
// Changes are periodically made to the information herein; these changes may
// be incorporated in new editions of the publication.
//
// Digi International Inc.
// 11001 Bren Road East
// Minnetonka, MN 55343, USA
// Tel: +1 (952) 912-3444
// Fax: +1 (952) 912-4952
// http://www.digi.com/
//
///////////////////////////////////////////////////////////////////////////////

// MySocket.h : 
//

#if !defined(MYSOCKET_H_INCLUDED)
#define MYSOCKET_H_INCLUDED

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <WinSock2.h>

SOCKET MySocketOpen(int const Type, WORD const Port);
int MySocketConnect(SOCKET const Socket, char const * const ToIPAddress, WORD const ToPort);

int MySocketSend(SOCKET const Socket, BYTE const * const Data, DWORD const Length);
int MySocketSendTo(SOCKET const Socket, BYTE const * const Data, DWORD const Length, char const * const ToIPAddress, WORD const ToPort);

int MySocketRecv(SOCKET const Socket, BYTE * const Data, DWORD * const Length);
int MySocketRecvFrom(SOCKET const Socket, BYTE * const Data, DWORD * const Length, char * const FromIPAddress, DWORD * const FromIPAddressLength);

int MySocketClose(SOCKET const Socket);

#endif // !defined(MYSOCKET_H_INCLUDED)
