///////////////////////////////////////////////////////////////////////////////
//
// (c) Digi International Inc. 2003. All Rights Reserved
//
// Digi provides this document "as is," without warranty of any kind,
// either expressed or implied, including, but not limited to, the implied
// warranties of fitness or merchantability for a particular purpose. Digi
// may make improvements and/or changes in this document or in the product(s)
// and/or the program(s) described in this document at any time.
//
// This document could include technical inaccuracies or typographical errors.
// Changes are periodically made to the information herein; these changes may
// be incorporated in new editions of the publication.
//
// Digi International Inc.
// 11001 Bren Road East
// Minnetonka, MN 55343, USA
// Tel: +1 (952) 912-3444
// Fax: +1 (952) 912-4952
// http://www.digi.com/
//
///////////////////////////////////////////////////////////////////////////////
#if !defined(AFX_CONFIGIP_H__F20C7F0B_B582_4446_80E6_BD58EF878B5C__INCLUDED_)
#define AFX_CONFIGIP_H__F20C7F0B_B582_4446_80E6_BD58EF878B5C__INCLUDED_

#include "addp.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigIP.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CConfigIP dialog

class CConfigIP : public CDialog
{
// Construction
public:
	CConfigIP(CWnd* pParent = NULL);   // standard constructor
	addp_device_info_t *m_DevInfo;
	enum {RadioButtonDhcpEnabled};
// Dialog Data
	//{{AFX_DATA(CConfigIP)
	enum { IDD = IDD_CONFIGIP };
	CIPAddressCtrl	m_IpAddress;
	CIPAddressCtrl	m_DefaultGateway;
	CIPAddressCtrl	m_SubnetMask;
	CString	m_Password;
	CString	m_MacAddress;
	CString	m_ProductName;
	int		m_DhcpState;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigIP)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CConfigIP)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnEnableDHCP();
	afx_msg void OnDisableDHCP();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void ReportError(addp_handle_t handle);
	void SetWindowStatus(bool State);
};	

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONFIGIP_H__F20C7F0B_B582_4446_80E6_BD58EF878B5C__INCLUDED_)
