///////////////////////////////////////////////////////////////////////////////
//
// (c) Digi International Inc. 2003. All Rights Reserved
//
// Digi provides this document "as is," without warranty of any kind,
// either expressed or implied, including, but not limited to, the implied
// warranties of fitness or merchantability for a particular purpose. Digi
// may make improvements and/or changes in this document or in the product(s)
// and/or the program(s) described in this document at any time.
//
// This document could include technical inaccuracies or typographical errors.
// Changes are periodically made to the information herein; these changes may
// be incorporated in new editions of the publication.
//
// Digi International Inc.
// 11001 Bren Road East
// Minnetonka, MN 55343, USA
// Tel: +1 (952) 912-3444
// Fax: +1 (952) 912-4952
// http://www.digi.com/
//
///////////////////////////////////////////////////////////////////////////////
#if !defined(AFX_REBOOT_H__8C47F009_A0C1_4DD1_8580_67A52594AE52__INCLUDED_)
#define AFX_REBOOT_H__8C47F009_A0C1_4DD1_8580_67A52594AE52__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CReboot.h : header file

#include "addp.h"

/////////////////////////////////////////////////////////////////////////////
// CReboot dialog

class CReboot : public CDialog
{
// Construction
public:
	addp_device_info_t *m_DevInfo;
	CReboot(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CReboot)
	enum { IDD = IDD_REBOOT };
	CString	m_ProductName;
	CString	m_MacAddress;
	CString	m_Password;
	CString	m_Status;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CReboot)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CReboot)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnReboot();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void ReportError(addp_handle_t const Handle);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REBOOT_H__8C47F009_A0C1_4DD1_8580_67A52594AE52__INCLUDED_)
